/*
 * APA102cStream.h
 *
 * Created: 17.11.2016 19:05:15
 *  Author: Thomas
 */ 

#ifndef APA102_H_
#define APA102_H_


#include <avr/io.h>

#include "../main.h"
#include "../HSV2RGB/HSV2RGB.h"


#define BRIGHTNESS_TO_GLOBAL(x) ((x) | (0x07<<5))


typedef struct tagAPA102Frame {
	uint32_t StartFrame;
	APA102GBGR_T LED[LED_COUNT+LED_COUNT_1FLOOR];
	uint8_t EndFrame[((LED_COUNT+LED_COUNT_1FLOOR)/16)+1];
} __attribute__ ((packed))  APA102Frame_T, *pAPA102Frame_T;


void APA102Init(void);
void APA102UpdateLEDs(void);


#endif /* APA102_H_ */