/*
 * SnowEffect.h
 *
 * Created: 12.12.2016 19:25:49
 *  Author: Thomas
 */ 


#ifndef SNOWEFFECT_H_
#define SNOWEFFECT_H_


#include <avr/io.h>

#include "../HSV2RGB/HSV2RGB.h"

#define RAND_SNOW_SHOWER_DELAY() ((uint16_t)(((uint32_t)rand() * (500-200)) >> 16) + 200)	// 2-5 Seconds (10ms Base)
#define RAND_SNOW_FLAKE_DELAY() ((uint16_t)(((uint32_t)rand() * (200-50)) >> 16) + 50)		// 0.5-2 Seconds (10ms Base)
#define RAND_SNOW_FLICKER_DELAY() ((uint16_t)(((uint32_t)rand() * (25-5)) >> 16) + 5)		// 0.05-0.25 Seconds (10ms Base)


typedef struct tagSnowEffect {
	HSV_T HSV;
	uint8_t IsSnowFlake;
	uint16_t FlickerDelay;
} SnowEffect_T, *pSnowEffect_T ;


void SnowEffectInit(void);
void SnowEffect(uint8_t colorShift);


#endif /* SNOWEFFECT_H_ */